# -*- encoding: utf-8 -*-
# stub: puppetdb-terminus 3.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "puppetdb-terminus".freeze
  s.version = "3.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Puppet Labs".freeze]
  s.date = "2024-04-10"
  s.description = "Puppet terminus files to connect to PuppetDB".freeze
  s.email = ["puppet@puppetlabs.com".freeze]
  s.files = ["lib/puppet".freeze, "lib/puppet/face".freeze, "lib/puppet/face/node".freeze, "lib/puppet/face/node/deactivate.rb".freeze, "lib/puppet/face/node/status.rb".freeze, "lib/puppet/functions".freeze, "lib/puppet/functions/puppetdb_query.rb".freeze, "lib/puppet/indirector".freeze, "lib/puppet/indirector/catalog".freeze, "lib/puppet/indirector/catalog/puppetdb.rb".freeze, "lib/puppet/indirector/facts".freeze, "lib/puppet/indirector/facts/puppetdb.rb".freeze, "lib/puppet/indirector/facts/puppetdb_apply.rb".freeze, "lib/puppet/indirector/node".freeze, "lib/puppet/indirector/node/puppetdb.rb".freeze, "lib/puppet/indirector/resource".freeze, "lib/puppet/indirector/resource/puppetdb.rb".freeze, "lib/puppet/reports".freeze, "lib/puppet/reports/puppetdb.rb".freeze, "lib/puppet/util".freeze, "lib/puppet/util/puppetdb".freeze, "lib/puppet/util/puppetdb.rb".freeze, "lib/puppet/util/puppetdb/atom.rb".freeze, "lib/puppet/util/puppetdb/char_encoding.rb".freeze, "lib/puppet/util/puppetdb/command.rb".freeze, "lib/puppet/util/puppetdb/command_names.rb".freeze, "lib/puppet/util/puppetdb/config.rb".freeze, "lib/puppet/util/puppetdb/http.rb".freeze, "spec/README.markdown".freeze, "spec/spec.opts".freeze, "spec/spec_helper.rb".freeze, "spec/unit".freeze, "spec/unit/face".freeze, "spec/unit/face/node".freeze, "spec/unit/face/node/deactivate_spec.rb".freeze, "spec/unit/face/node/status_spec.rb".freeze, "spec/unit/indirector".freeze, "spec/unit/indirector/catalog".freeze, "spec/unit/indirector/catalog/puppetdb_spec.rb".freeze, "spec/unit/indirector/facts".freeze, "spec/unit/indirector/facts/puppetdb_apply_spec.rb".freeze, "spec/unit/indirector/facts/puppetdb_spec.rb".freeze, "spec/unit/indirector/node".freeze, "spec/unit/indirector/node/puppetdb_spec.rb".freeze, "spec/unit/indirector/resource".freeze, "spec/unit/indirector/resource/puppetdb_spec.rb".freeze, "spec/unit/reports".freeze, "spec/unit/reports/puppetdb_spec.rb".freeze, "spec/unit/util".freeze, "spec/unit/util/puppetdb".freeze, "spec/unit/util/puppetdb/char_encoding_spec.rb".freeze, "spec/unit/util/puppetdb/command_spec.rb".freeze, "spec/unit/util/puppetdb/config_spec.rb".freeze, "spec/unit/util/puppetdb/http_spec.rb".freeze, "spec/unit/util/puppetdb_spec.rb".freeze]
  s.homepage = "https://github.com/puppetlabs/puppetdb".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.rubygems_version = "3.3.26".freeze
  s.summary = "Connect Puppet to PuppetDB by setting up a terminus for PuppetDB".freeze
  s.test_files = ["spec/README.markdown".freeze, "spec/spec.opts".freeze, "spec/spec_helper.rb".freeze, "spec/unit".freeze, "spec/unit/face".freeze, "spec/unit/face/node".freeze, "spec/unit/face/node/deactivate_spec.rb".freeze, "spec/unit/face/node/status_spec.rb".freeze, "spec/unit/indirector".freeze, "spec/unit/indirector/catalog".freeze, "spec/unit/indirector/catalog/puppetdb_spec.rb".freeze, "spec/unit/indirector/facts".freeze, "spec/unit/indirector/facts/puppetdb_apply_spec.rb".freeze, "spec/unit/indirector/facts/puppetdb_spec.rb".freeze, "spec/unit/indirector/node".freeze, "spec/unit/indirector/node/puppetdb_spec.rb".freeze, "spec/unit/indirector/resource".freeze, "spec/unit/indirector/resource/puppetdb_spec.rb".freeze, "spec/unit/reports".freeze, "spec/unit/reports/puppetdb_spec.rb".freeze, "spec/unit/util".freeze, "spec/unit/util/puppetdb".freeze, "spec/unit/util/puppetdb/char_encoding_spec.rb".freeze, "spec/unit/util/puppetdb/command_spec.rb".freeze, "spec/unit/util/puppetdb/config_spec.rb".freeze, "spec/unit/util/puppetdb/http_spec.rb".freeze, "spec/unit/util/puppetdb_spec.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<json>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<puppet>.freeze, [">= 3.8.1", "< 9.0"])
  else
    s.add_dependency(%q<json>.freeze, [">= 0"])
    s.add_dependency(%q<puppet>.freeze, [">= 3.8.1", "< 9.0"])
  end
end
